Subject: bug#19346: 25.0.50; url-http-parse-headers: Symbol's function definition is void: gnutls-available-p

From: Ted Zlatanov <[email-masked]>
Date: Fri, 12 Dec 2014 08:19:39 -0500

On Thu, 11 Dec 2014 20:33:22 -0500 Stefan Monnier <[email-masked]> wrote: 

>> Right, I'm saying `(require '<modulename> nil t)' should define
>> `modulename-available-p' automatically for dynamic modules, based on

SM> And what I'm saying is that (require '<modulename> nil t)
SM> *is* the replacement for (<modulename>-available-p).
SM> There is no need for any manual management.

I really think they are different things. One loads the module, the
other indicates the module's functionality is available.

I agree there is no need for manual management :)  The module loader
should do it automatically.

Ted